vty-5.38: A simple terminal UI library

Safe Haskell | Safe-Inferred
Language | Haskell2010

Graphics.Vty.UnicodeWidthTable.Types

Synopsis

- data UnicodeWidthTable = UnicodeWidthTable {
  - unicodeWidthTableRanges :: [WidthTableRange]
  }
- data WidthTableRange = WidthTableRange {
  - rangeStart :: Word32
  - rangeSize :: Word32
  - rangeColumns :: Word8
  }

# Documentation

data UnicodeWidthTable Source #

A run-length-encoded table of Unicode character widths.

Constructors

UnicodeWidthTable |

Fields

- unicodeWidthTableRanges :: [WidthTableRange]

  The ranges in the table.

#### Instances

Instances details

Show UnicodeWidthTable Source # |
Instance details Defined in Graphics.Vty.UnicodeWidthTable.Types Methods showsPrec :: Int -> UnicodeWidthTable -> ShowS Source # show :: UnicodeWidthTable -> String Source # showList :: [UnicodeWidthTable] -> ShowS Source #

data WidthTableRange Source #

A range of code points in a width table.

Constructors

WidthTableRange |

Fields

- rangeStart :: Word32

  The range's starting code point.

- rangeSize :: Word32

  The number of code points in the contiguous range, beginning with the starting code point (`rangeStart`).

- rangeColumns :: Word8

  The terminal width, in columns, of all of the characters corresponding to the code points in this range.

#### Instances

Instances details

Show WidthTableRange Source # |
Instance details Defined in Graphics.Vty.UnicodeWidthTable.Types Methods showsPrec :: Int -> WidthTableRange -> ShowS Source # show :: WidthTableRange -> String Source # showList :: [WidthTableRange] -> ShowS Source #
Eq WidthTableRange Source # |
Instance details Defined in Graphics.Vty.UnicodeWidthTable.Types Methods (==) :: WidthTableRange -> WidthTableRange -> Bool Source # (/=) :: WidthTableRange -> WidthTableRange -> Bool Source #